Package org.eclipse.graphiti.ui.internal.parts.directedit

## Interface IDirectEditHolder

All Known Implementing Classes:
  `GFDirectEditManager`

    public interface IDirectEditHolder

### Method Summary

All Methods Instance Methods Abstract Methods
`IDirectEditingContext` `getDirectEditingContext()`
`IDirectEditingFeature` `getDirectEditingFeature()`
`boolean` `isSimpleMode()`

### Method Detail

#### getDirectEditingContext

    IDirectEditingContext getDirectEditingContext()

#### getDirectEditingFeature

    IDirectEditingFeature getDirectEditingFeature()

#### isSimpleMode

    boolean isSimpleMode()